
QGIS Application - Bug report #17560

Attribute Table refresh issue: when there's only one row on attribute table, update buttons do not 

trigger table update.

2017-11-26 08:31 PM - sand thorn

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.18.14 Regression?: No

Operating System: Windows 10 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25457

Description

When there is only one row shown on attribute table, 

"Update All" / "Update Filtered" / "Update Selected" button click event doesn't trigger attribute table refresh.

Corresponding column gets updated behind the scene, but not shown.

affected version: OSGeo4W-qgis-dev-2.18.14-13

History

#1 - 2017-11-26 08:33 PM - Giovanni Manghi

- Affected QGIS version changed from master to 2.18.14

#2 - 2017-11-28 12:32 AM - Giovanni Manghi

- Status changed from Open to Feedback

Still valid in 2.18.14-16 (as available now in osgeo4w)?

#3 - 2017-11-29 03:37 PM - sand thorn

Version: 2.18.14-16

Platform: Windows 10 64 bit

If the corresponding layer has more than 1 row, all 3 buttons (Update All/ Update Filtered/ Update Selected) are working now even though the attribute

table is showing only 1 row through filtering or selection.

If the corresponding layer has only 1 row, all 3 buttons do not trigger refresh.

#4 - 2017-12-11 08:53 AM - sand thorn

All issues seem fixed since 2.18.15-1.

You may close this.

Thank you.

#5 - 2018-02-23 10:27 AM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
